package com.trafficparrot.sdk.jms;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class Slf4jTpLogger implements TpLogger {
    private final Logger logger;

    public Slf4jTpLogger(Class<?> logger) {
        this.logger = LoggerFactory.getLogger(logger);
    }

    @Override
    public void error(String message, Exception e) {
        logger.error(message, e);
    }

    @Override
    public void info(String message, Object... parameters) {
        logger.info(message, parameters);
    }

    @Override
    public void error(String message) {
        logger.error(message);
    }

    @Override
    public void warn(String message) {
        logger.warn(message);
    }
}
